Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class DOMDocumentTree.DOMDocumentTreeAdapter

    java.lang.Object
      org.apache.batik.apps.svgbrowser.DOMDocumentTree.DOMDocumentTreeAdapter

All Implemented Interfaces:
  EventListener, DOMDocumentTree.DOMDocumentTreeListener

Enclosing class:
  DOMDocumentTree

    public static class DOMDocumentTree.DOMDocumentTreeAdapter

extends Object
implements DOMDocumentTree.DOMDocumentTreeListener

The adapter for the DOMDocumentTreeListener.

Constructor Summary
`DOMDocumentTree.DOMDocumentTreeAdapter()`

Method Summary
`void` | `dropCompleted(DOMDocumentTree.DOMDocumentTreeEvent event)` Fired after successfully completed drop.
`void` | `onAutoscroll(DOMDocumentTree.DOMDocumentTreeEvent event)` Fired when autoscroll is invoked

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMDocumentTree.DOMDocumentTreeAdapter

    public DOMDocumentTree.DOMDocumentTreeAdapter()

Method Detail

### dropCompleted

    public void dropCompleted(DOMDocumentTree.DOMDocumentTreeEvent event)

  Description copied from interface: `DOMDocumentTree.DOMDocumentTreeListener`
  Fired after successfully completed drop.

  Specified by:
    `dropCompleted` in interface `DOMDocumentTree.DOMDocumentTreeListener`
  Parameters:
    `event` - the DOMDocumentTreeEvent

### onAutoscroll

    public void onAutoscroll(DOMDocumentTree.DOMDocumentTreeEvent event)

  Description copied from interface: `DOMDocumentTree.DOMDocumentTreeListener`
  Fired when autoscroll is invoked

  Specified by:
    `onAutoscroll` in interface `DOMDocumentTree.DOMDocumentTreeListener`
  Parameters:
    `event` - the DOMDocumentTreeEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.